package aps_engine

import (
	"fmt"
	"leit.com/aps_engine/service"
	"testing"
)

func TestScheduler(t *testing.T){
	var se service.SchedulerSrv

	// 初始化调度环境
	service.LoadTestEnvData(&se)
	se.SchedRule.ToolConstraintToggle = true

	// 启动订单调度引擎
	if err := se.Run(); err != nil{
		fmt.Println("调度错误:", err)
	}
	// 打印计划结果e
	fmt.Println("=========================================================>")
	for _, order := range se.OrderDict {
		order.Print()
	}
	for _, wp := range se.WorkPlaceDict{
		wp.Print()
	}
	for _, t := range se.ToolDict{
		t.Print()
	}
}



