package service

import "leit.com/aps_engine/models"

type CalendarSrv struct {
	CalendarNr		int
	CalDayDict		map[string]int		// 用于存储特殊工作日的日模型
	WorkCalTab		models.WorkCalendar
}

// 初始化
func(calsrv *CalendarSrv)Init(caltab models.WorkCalendar){
	var i		int

	calsrv.WorkCalTab	= caltab
	calsrv.CalendarNr 	= calsrv.WorkCalTab.WorkCalendarNr
	calsrv.CalDayDict	= make(map[string]int)
	for i = 0; i < len(caltab.WorkCalendarLstLi); i++ {
		calsrv.CalDayDict[caltab.WorkCalendarLstLi[i].WorkDate.ToString()] = caltab.WorkCalendarLstLi[i].DayModelNr
	}
}