package service

import "leit.com/aps_engine/models"

// 调度用的单个人力资源对象，对应技能
type PersonSrv struct{
	PersonNr		int
	SkillDict		map[int]*SkillSrv
	WaitTaskArray	[]SchedTaskSrv		// 任务等待队列
	Pertab			models.Person
}

func(ps *PersonSrv)Create(pertab models.Person){
	ps.PersonNr	= pertab.Personnr
	ps.Pertab	= pertab
	ps.SkillDict	= make(map[int]*SkillSrv)
	ps.WaitTaskArray= []SchedTaskSrv{}
}
